GuideLab API

Get partnership detail view

Retrieve full partnership details including partner organization info, order/patient statistics, practice group, and gallery images. Only accessible by organizations that are part of the partnership.

GET
/partnerships/{id}

Retrieve full partnership details including partner organization info, order/patient statistics, practice group, and gallery images. Only accessible by organizations that are part of the partnership.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Partnership ID

Response Body

application/json

curl -X GET "https://example.com/partnerships/550e8400-e29b-41d4-a716-446655440000"
{  "partnershipId": "string",  "partnerId": "string",  "partnerType": "lab",  "status": "string",  "initiatedBy": "string",  "practiceGroupName": "string",  "notes": "string",  "createdAt": "string",  "partner": {    "name": "string",    "logo": "string",    "email": "string",    "phone": "string",    "billingEmail": "string",    "address": "string",    "addressLine2": "string",    "city": "string",    "postcode": "string",    "country": "string",    "website": "string",    "companyNumber": "string",    "taxRegistrationNumber": "string",    "description": "string",    "hasCoverImage": true,    "latitude": "string",    "longitude": "string"  },  "stats": {    "totalOrders": 0,    "activeOrders": 0,    "totalPatients": 0  },  "gallery": [    {      "id": "string",      "sortOrder": 0    }  ]}
Empty
Empty
Empty